Documents
Save document content and/or title
Send appendMarkdown to add notes to the end of a page, or markdown to replace the page. Only the fields you send change.
PATCH
/
documents
/
{id}
Save document content and/or title
curl --request PATCH \
--url https://api.meetergo.com/documents/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"content": [
{}
],
"contactId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"markdown": "<string>",
"appendMarkdown": "<string>",
"title": "<string>",
"icon": "<string>",
"coverImage": "<string>",
"kbEnabled": true,
"parentDocumentId": "<string>"
}
'import requests
url = "https://api.meetergo.com/documents/{id}"
payload = {
"content": [{}],
"contactId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"markdown": "<string>",
"appendMarkdown": "<string>",
"title": "<string>",
"icon": "<string>",
"coverImage": "<string>",
"kbEnabled": True,
"parentDocumentId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
content: [{}],
contactId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
markdown: '<string>',
appendMarkdown: '<string>',
title: '<string>',
icon: '<string>',
coverImage: '<string>',
kbEnabled: true,
parentDocumentId: '<string>'
})
};
fetch('https://api.meetergo.com/documents/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.meetergo.com/documents/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'content' => [
[
]
],
'contactId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'markdown' => '<string>',
'appendMarkdown' => '<string>',
'title' => '<string>',
'icon' => '<string>',
'coverImage' => '<string>',
'kbEnabled' => true,
'parentDocumentId' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.meetergo.com/documents/{id}"
payload := strings.NewReader("{\n \"content\": [\n {}\n ],\n \"contactId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"markdown\": \"<string>\",\n \"appendMarkdown\": \"<string>\",\n \"title\": \"<string>\",\n \"icon\": \"<string>\",\n \"coverImage\": \"<string>\",\n \"kbEnabled\": true,\n \"parentDocumentId\": \"<string>\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.meetergo.com/documents/{id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"content\": [\n {}\n ],\n \"contactId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"markdown\": \"<string>\",\n \"appendMarkdown\": \"<string>\",\n \"title\": \"<string>\",\n \"icon\": \"<string>\",\n \"coverImage\": \"<string>\",\n \"kbEnabled\": true,\n \"parentDocumentId\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.meetergo.com/documents/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"content\": [\n {}\n ],\n \"contactId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"markdown\": \"<string>\",\n \"appendMarkdown\": \"<string>\",\n \"title\": \"<string>\",\n \"icon\": \"<string>\",\n \"coverImage\": \"<string>\",\n \"kbEnabled\": true,\n \"parentDocumentId\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"statusCode": 400,
"message": [
"limit must not be greater than 100"
],
"error": "BadRequestException"
}{
"statusCode": 400,
"message": [
"limit must not be greater than 100"
],
"error": "BadRequestException"
}{
"statusCode": 400,
"message": [
"limit must not be greater than 100"
],
"error": "BadRequestException"
}{
"statusCode": 400,
"message": [
"limit must not be greater than 100"
],
"error": "BadRequestException"
}{
"statusCode": 400,
"message": [
"limit must not be greater than 100"
],
"error": "BadRequestException"
}Authorizations
ApiKeyJWTApiUserHeader
Body
application/json
Response
Saved.
⌘I
Save document content and/or title
curl --request PATCH \
--url https://api.meetergo.com/documents/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"content": [
{}
],
"contactId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"markdown": "<string>",
"appendMarkdown": "<string>",
"title": "<string>",
"icon": "<string>",
"coverImage": "<string>",
"kbEnabled": true,
"parentDocumentId": "<string>"
}
'import requests
url = "https://api.meetergo.com/documents/{id}"
payload = {
"content": [{}],
"contactId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"markdown": "<string>",
"appendMarkdown": "<string>",
"title": "<string>",
"icon": "<string>",
"coverImage": "<string>",
"kbEnabled": True,
"parentDocumentId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
content: [{}],
contactId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
markdown: '<string>',
appendMarkdown: '<string>',
title: '<string>',
icon: '<string>',
coverImage: '<string>',
kbEnabled: true,
parentDocumentId: '<string>'
})
};
fetch('https://api.meetergo.com/documents/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.meetergo.com/documents/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'content' => [
[
]
],
'contactId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'markdown' => '<string>',
'appendMarkdown' => '<string>',
'title' => '<string>',
'icon' => '<string>',
'coverImage' => '<string>',
'kbEnabled' => true,
'parentDocumentId' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.meetergo.com/documents/{id}"
payload := strings.NewReader("{\n \"content\": [\n {}\n ],\n \"contactId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"markdown\": \"<string>\",\n \"appendMarkdown\": \"<string>\",\n \"title\": \"<string>\",\n \"icon\": \"<string>\",\n \"coverImage\": \"<string>\",\n \"kbEnabled\": true,\n \"parentDocumentId\": \"<string>\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.meetergo.com/documents/{id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"content\": [\n {}\n ],\n \"contactId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"markdown\": \"<string>\",\n \"appendMarkdown\": \"<string>\",\n \"title\": \"<string>\",\n \"icon\": \"<string>\",\n \"coverImage\": \"<string>\",\n \"kbEnabled\": true,\n \"parentDocumentId\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.meetergo.com/documents/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"content\": [\n {}\n ],\n \"contactId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"markdown\": \"<string>\",\n \"appendMarkdown\": \"<string>\",\n \"title\": \"<string>\",\n \"icon\": \"<string>\",\n \"coverImage\": \"<string>\",\n \"kbEnabled\": true,\n \"parentDocumentId\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"statusCode": 400,
"message": [
"limit must not be greater than 100"
],
"error": "BadRequestException"
}{
"statusCode": 400,
"message": [
"limit must not be greater than 100"
],
"error": "BadRequestException"
}{
"statusCode": 400,
"message": [
"limit must not be greater than 100"
],
"error": "BadRequestException"
}{
"statusCode": 400,
"message": [
"limit must not be greater than 100"
],
"error": "BadRequestException"
}{
"statusCode": 400,
"message": [
"limit must not be greater than 100"
],
"error": "BadRequestException"
}